### Method

# Gcr DistributionPoint get_relative_name_part

#### Declaration [src]

    char*
    gcr_distribution_point_get_relative_name_part (
      GcrDistributionPoint* self,
      const char* part
    )

#### Description [src]

Returns a part of the relative name of `self`, if set.

Note that the relative name might not be set, nor the specific part.

Examples of a `part` might be the ‘OU’ (organizational unit) or the ‘CN’ (common name). Only the value of that part of the RDN is returned.

#### Parameters

`part`

  Type: `const char*`

  A RDN type string or OID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

The relative name part if set, or NULL.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.